Bug 482823 - [enh] start wpa_supplicant on-demand for wired 802.1x
[enh] start wpa_supplicant on-demand for wired 802.1x
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 08:16 EST by Harald Hoyer
Modified: 2010-12-05 02:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2009-01-28 08:16:00 EST
Does wpa_supplicant have to be started per default? 
My machine has no wireless and does not need wpa_supplicant in every other way.
Is the solution to deinstall wpa_supplicant?
Comment 1 Dan Williams 2009-01-30 12:01:26 EST
wpa_supplicant as a service shouldn't be turned on by default.  NetworkManager will start it on-demand when required.

The init.d file also doesn't seem to start it by default.

Note that wpa_supplicant is a generic 802.1x supplicant, and thus it's also useful if you ever connect to a wired 802.1x network as well.  Perhaps it's misnamed :)

Can you check your 'chkconfig --list' and see what runlevels it's marked 'on' for you?
Comment 2 Harald Hoyer 2009-02-02 04:46:40 EST
Seems to be started by NetworkManager... 

$ chkconfig --list wpa_supplicant
wpa_supplicant 	0:off	1:off	2:off	3:off	4:off	5:off	6:off
$ ps ax|fgrep wpa
 2446 ?        S      0:00 /usr/sbin/wpa_supplicant -c /etc/wpa_supplicant/wpa_supplicant.conf -u -f /var/log/wpa_supplicant.log

$ iwconfig 
lo        no wireless extensions.

eth0      no wireless extensions.

$ cat  /etc/sysconfig/network-scripts/ifcfg-eth0 
# Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+
DEVICE=eth0
BOOTPROTO=none
HWADDR=52:54:00:12:34:fb
ONBOOT=yes
IPADDR=192.168.122.100
SEARCH=home
NETMASK=255.255.255.0
GATEWAY=192.168.122.1
TYPE=Ethernet
DNS1=192.168.122.1
USERCTL=no
PEERDNS=yes
IPV6INIT=no
NM_CONTROLLED=yes
Comment 3 Dan Williams 2009-02-03 11:53:55 EST
Ok, so it's getting started on demand by NM.  The supplicant can also be used to connect to 802.1x *wired* networks, which many large corporations use.  Thus, it's used for wired connections too.  I'm not sure this is a problem; we need to handle most of the use-cases, and we can't really have a dialog saying "oh, you just created a new 802.1x wired network in the connection editor, would you like to install wpa_supplicant to support it?" since if you need 802.1x to connect, you can't download it until you're connected...

If you can think of a good solution feel free to re-open this bug and re-assign to NetworkManager.  But again, it's the same reason we require PPP to be installed, because at any time you could try to use a PPPoE connection, or plug in a 3G card.  Sort of like how we include all kernel drivers even though your system may not have that hardware....
Comment 4 Harald Hoyer 2009-02-03 12:12:05 EST
It's not a question if it is installed.. it is the question, if it has to be started, though it is not needed, because I don't have a 802.1x wired network which would need it.
Comment 5 Dan Williams 2009-02-03 12:21:24 EST
fair enough; the code isn't structured to allow that right now, but theoretically could be.
Comment 6 Dan Williams 2009-03-02 13:53:11 EST
So it turns out that with the supplicant started, we can actually autodetect 802.1x and select appropriate wired connections automatically!  So I think the forward path here is to only start the supplicant for wired connections where there are 802.1x connections defined in your config.  Further optimization might be able to stop the supplicant when the current connection is not wired 802.1x, and re-start it when that connection drops.
Comment 7 Bug Zapper 2009-06-09 06:55:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:32:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:01:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.